de.esprit.netsuite.rtask.journal

## Class JournalTaskRestartEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.netsuite.rtask.journal.JournalTaskRestartEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class JournalTaskRestartEvent
      extends GenericEvent

  This event notifies about a `JournalTask` being restarted after a reconnect.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `JournalTaskRestartEvent.Listener`
    `static interface` | `JournalTaskRestartEvent.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JournalTaskRestartEvent(AsyncTask task)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsyncTask` | `getJournalTask()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JournalTaskRestartEvent

          public JournalTaskRestartEvent(AsyncTask task)

  - ### Method Detail

    - #### getJournalTask

          public AsyncTask getJournalTask()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.